/*******************************************************************
 *
 *	File:		i_net.cpp
 *
 *	Author:		Peter van Sebille (peter@yipton.demon.co.uk)
 *
 *	(c) Copyright 2001, Peter van Sebille
 *	All Rights Reserved
 *
 *******************************************************************/

extern "C"
{
#include "doomdef.h"
#include "i_system.h"
#include "m_argv.h"
#include "v_video.h"
#include "st_stuff.h"
#include "z_zone.h"
#include "i_net.h"
#include "doomstat.h"


static void Internal_Get(void)
{
     I_Error("Get without netgame\n");
}

static void Internal_Send(void)
{
     I_Error("Send without netgame\n");
}

static void Internal_FreeNodenum(int nodenum)
{
     if(nodenum)
         I_Error("FreeNode without netgame\n");
}

/****************************************************
 *
 * Implementation of things relevant to doom
 *
 ****************************************************/

void I_InitNetwork (void)
{
	I_NetGet  = Internal_Get;
	I_NetSend = Internal_Send;
	I_NetShutdown = NULL;
	I_NetFreeNodenum = Internal_FreeNodenum;

	doomcom=(doomcom_t*)Z_Malloc(sizeof(doomcom_t),PU_STATIC,NULL);
	memset(doomcom,0,sizeof(doomcom_t));
	doomcom->id = DOOMCOM_ID;

	netgame = false;
	server = true;
	multiplayer = false;

	doomcom->numplayers = doomcom->numnodes = 1;
	doomcom->deathmatch = false;
	doomcom->consoleplayer = 0;
	doomcom->ticdup = 1;
	doomcom->extratics = 0;
}

}		// extern "C"

